2017-07-23 06:35 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0000055checkmail[All Projects] Generalpublic2016-01-09 12:22
Reporterthh 
Assigned Tothh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
Product Version0.5Product Build 
Target Version0.7Fixed in Version 
Summary0000055: checkmail can't handle CNAMEs
Descriptioncheckmail will lookup the A record of the domain from the mail address if it has no MX record. If there is no A record but just a CNAME, the DNS resolver library will bail out with an error message.

I'm not sure if you should be able to send mail to an address without MX or A record and just a CNAME. In any case, that should be handled by checkmail - if one can't send mail to those adresses (reliably), checkmail should report that.
Additional InformationError message:

***
*** WARNING!!! The program has attempted to call the method
*** "address" for the following RR object:
***
*** fqdn.th-h.de. 86259 IN CNAME www.th-h.de.
***
*** This object does not have a method "address". THIS IS A BUG
*** IN THE CALLING SOFTWARE, which has incorrectly assumed that
*** the object would be of a particular type. The calling
*** software should check the type of each RR object before
*** calling any of its methods.
***
*** Net::DNS has returned undef to the caller.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
thh

~0000067

thh (administrator)

Fix committed to master branch as 2378aae83e0c71a824fd0e73ba5ecad6ceab3123: Try to handle CNAMEs and resolve them to A records.

Change documentation accordingly.
Fixes 0000055.

Signed-off-by: Thomas Hochstein <thh@inter.net>
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-01-28 05:06 thh New Issue
2015-01-28 05:06 thh Status new => confirmed
2015-01-28 05:06 thh Target Version => 0.6
2015-01-28 05:10 thh Target Version 0.6 => 0.7
2016-01-09 12:22 thh Changeset attached => checkmail master 2378aae8
2016-01-09 12:22 thh Note Added: 0000067
2016-01-09 12:22 thh Assigned To => thh
2016-01-09 12:22 thh Status confirmed => resolved
2016-01-09 12:22 thh Resolution open => fixed
+Issue History